import * as React from 'react';
import { IOutputType } from '../../reducers/reducers';
export interface IOutputContentComponentOwnProps {
    styles: any;
    theme: any;
}
export interface IOutputContentComponentGraphqlProps {
    outputData: any;
    refetchOutput: Function;
    subscribeToMore: Function;
    unSubscribeMutate: Function;
    pods: string[];
    client?: any;
}
export interface IOutputContentComponentStateProps {
    currentTab: IOutputType;
    clearOutput: boolean | any;
    outputList: IOutputType[];
}
export interface IOutputContentComponentDispatchProps {
    clearedAction: Function;
    setPodsAction?: Function;
}
export interface IOutputContentOwnState {
    loaded: boolean;
}
export declare type IOutputContentComponentProps = IOutputContentComponentOwnProps & IOutputContentComponentStateProps & IOutputContentComponentDispatchProps & IOutputContentComponentGraphqlProps;
declare const OutputContent: React.ComponentClass<any, any> | React.FunctionComponent<any> | React.ComponentClass<Pick<unknown, never> & import("react-fela").FelaWithStylesInjectedProps<Pick<unknown, never>, unknown, any>, any> | React.FunctionComponent<Pick<unknown, never> & import("react-fela").FelaWithStylesInjectedProps<Pick<unknown, never>, unknown, any>>;
export default OutputContent;
